=== kstars/icons/CMakeLists.txt ===
#FIXME The following doesn't work, cmake complains of "group (action) is not recognized".
ecm_install_icons(ICONS
22-actions-kstars_cbound.png
22-actions-kstars_clines.png
22-actions-kstars_cnames.png
22-actions-kstars_constellationart.png
22-actions-kstars_deepsky.png
22-actions-kstars_flag.png
22-actions-kstars_grid.png
22-actions-kstars_hgrid.png
22-actions-kstars_horizon.png
22-actions-kstars_mw.png
22-actions-kstars_planets.png
22-actions-kstars_satellites.png
22-actions-kstars_stars.png
22-actions-kstars_supernovae.png
22-actions-kstars_ekos.png
22-actions-kstars_indi.png
22-actions-kstars_fitsviewer.png
22-actions-kstars_ekos_setup.png
22-actions-kstars_ekos_scheduler.png
22-actions-kstars_ekos_ccd.png
22-actions-kstars_ekos_mount.png
22-actions-kstars_ekos_focus.png
22-actions-kstars_ekos_align.png
22-actions-kstars_ekos_guide.png
32-actions-kstars_clines.png
32-actions-kstars_cnames.png
32-actions-kstars_constellationart.png
32-actions-kstars_deepsky.png
32-actions-kstars_flag.png
32-actions-kstars_grid.png
32-actions-kstars_hgrid.png
32-actions-kstars_horizon.png
32-actions-kstars_mw.png
32-actions-kstars_planets.png
32-actions-kstars_satellites.png
32-actions-kstars_stars.png
32-actions-kstars_supernovae.png
32-actions-kstars_ekos.png
32-actions-kstars_fitsviewer.png
32-actions-kstars_indi.png
32-actions-kstars_ekos_setup.png
32-actions-kstars_ekos_scheduler.png
32-actions-kstars_ekos_ccd.png
32-actions-kstars_ekos_mount.png
32-actions-kstars_ekos_focus.png
32-actions-kstars_ekos_align.png
32-actions-kstars_ekos_guide.png
48-actions-kstars_clines.png
48-actions-kstars_cnames.png
48-actions-kstars_constellationart.png
48-actions-kstars_deepsky.png
48-actions-kstars_flag.png
48-actions-kstars_grid.png
48-actions-kstars_hgrid.png
48-actions-kstars_horizon.png
48-actions-kstars_mw.png
48-actions-kstars_planets.png
48-actions-kstars_satellites.png
48-actions-kstars_stars.png
48-actions-kstars_supernovae.png
48-actions-kstars_ekos.png
48-actions-kstars_fitsviewer.png
48-actions-kstars_indi.png
48-actions-kstars_ekos_setup.png
48-actions-kstars_ekos_scheduler.png
48-actions-kstars_ekos_ccd.png
48-actions-kstars_ekos_mount.png
48-actions-kstars_ekos_focus.png
48-actions-kstars_ekos_align.png
48-actions-kstars_ekos_guide.png
64-actions-kstars_advanced.png
64-actions-kstars_catalog.png
64-actions-kstars_cbound.png
64-actions-kstars_clines.png
64-actions-kstars_cnames.png
64-actions-kstars_constellationart.png
64-actions-kstars_colors.png
64-actions-kstars_deepsky.png
64-actions-kstars_flag.png
64-actions-kstars_grid.png
64-actions-kstars_guides.png
64-actions-kstars_hgrid.png
64-actions-kstars_horizon.png
64-actions-kstars_mw.png
64-actions-kstars_planets.png
64-actions-kstars_satellites.png
64-actions-kstars_solarsystem.png
64-actions-kstars_stars.png
64-actions-kstars_supernovae.png
64-actions-kstars_xplanet.png
64-actions-kstars_ekos.png
64-actions-kstars_fitsviewer.png
64-actions-kstars_indi.png
64-actions-kstars_ekos_setup.png
64-actions-kstars_ekos_scheduler.png
64-actions-kstars_ekos_ccd.png
64-actions-kstars_ekos_mount.png
64-actions-kstars_ekos_focus.png
64-actions-kstars_ekos_align.png
64-actions-kstars_ekos_guide.png

DESTINATION
${KDE_INSTALL_ICONDIR} THEME hicolor)
