=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kstars-dbg (<= 4:15.12.1-1~~)'
+
+override_dh_auto_test:
+	# Disable auto tests at build time
+	:
