## kstars 17.04.3

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifications-dev (>= 5.31.0~),
+               libkf5notifyconfig-dev (>= 5.31.0~),
                libkf5plotting-dev (>= 5.31.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
@@ -53,8 +54,8 @@
 Depends: kstars-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter, konqueror
 Recommends: astrometry.net, indi-bin, xplanet
-Breaks: kstars-data (<= 4:16.04)
-Replaces: kstars-data (<= 4:16.04)
+Breaks: kstars-data (<= 4:16.04), ${kde-l10n:all}
+Replaces: kstars-data (<= 4:16.04), ${kde-l10n:all}
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.
@@ -67,7 +68,10 @@
 Package: kstars-data
 Architecture: all
 Section: science
-Depends: ${misc:Depends}
+Depends: qml-module-qtquick-controls,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         ${misc:Depends}
 Description: data files for KStars desktop planetarium
  This package contains architecture-independent data files for KStars,
  the graphical desktop planetarium for KDE, including star catalogues and
